Loading...
Searching...
No Matches
QXmppOmemoStorage::OmemoData Struct Reference

`#include <QXmppOmemoStorage.h>`

## Public Attributes

std::optional< OwnDevice > | ownDevice
QHash< uint32_t, SignedPreKeyPair > | signedPreKeyPairs
QHash< uint32_t, QByteArray > | preKeyPairs
QHash< QString, QHash< uint32_t, Device > > | devices

## Detailed Description

Contains all OMEMO data.

## Member Data Documentation

## devices

QHash<QString, QHash<uint32_t, Device> > QXmppOmemoStorage::OmemoData::devices

JIDs of the device owners mapped to device IDs mapped to the other devices (i.e., all devices except the own one)

## ownDevice

std::optional<OwnDevice> QXmppOmemoStorage::OmemoData::ownDevice

Device of this client instance

## preKeyPairs

QHash<uint32_t, QByteArray> QXmppOmemoStorage::OmemoData::preKeyPairs

Key IDs mapped to their pre key pairs

## signedPreKeyPairs

QHash<uint32_t, SignedPreKeyPair> QXmppOmemoStorage::OmemoData::signedPreKeyPairs

Key IDs mapped to their signed pre key pairs

The documentation for this struct was generated from the following file:

- QXmppOmemoStorage.h